Name: ubifsprogs
Version: 1.3.1
Release: alt2

Summary: The filesystem utilities for the UBIFS filesystems and UBI volumes
License: GPL
Group: System/Kernel and hardware

Url: http://www.linux-mtd.infradead.org/doc/ubifs.html
Packager: Michail Yakushin <silicium@altlinux.ru>
Source: ubifsprogs.tar

BuildRequires: glibc-kernheaders zlib-devel libuuid-devel liblzo2-devel perl-Config-IniFiles perl(Pod/Usage.pm)
%description
UBIFS is a new flash file system developed by Nokia engineers with help
of the University of Szeged. In a way, UBIFS may be considered as the
next generation of the JFFS2 file-system.

%prep
%setup -q -c

%build
pushd ubi-utils
%make_build PREFIX=/
popd
pushd mkfs.ubifs PREFIX=/
%make_build
popd

%install
pushd ubi-utils
%makeinstall_std PREFIX=/
popd
pushd mkfs.ubifs
%makeinstall_std PREFIX=/
popd

%files
/sbin/*


%changelog
* Tue Mar 29 2011 Paul Wolneykien <manowar@altlinux.ru> 1.3.1-alt2
- Require perl(Pod/Usage.pm) for build.

* Thu Apr 08 2010 Michail Yakushin <silicium@altlinux.ru> 1.3.1-alt1
- inital build for ALT  

